Download it now!
Bug 47582 - FORMATTING: Wrong number of bibliography entry in footnote
Summary: FORMATTING: Wrong number of bibliography entry in footnote
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Bibliography
  Show dependency treegraph
 
Reported: 2012-03-20 06:31 UTC by mini-matze
Modified: 2020-05-29 14:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sort example - 1)If all in one pg 2)cut and paste one footnote in an other pg (101.25 KB, application/pdf)
2012-03-20 06:33 UTC, mini-matze
Details
The LO document of the example (14.17 KB, application/vnd.oasis.opendocument.text)
2012-03-20 06:34 UTC, mini-matze
Details
PDF export after update all using 4.5 alpha from Jan 25th 2015 (43.30 KB, application/pdf)
2015-01-29 09:16 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mini-matze 2012-03-20 06:31:26 UTC
Problem description: 
If I insert more then one footnotes in the same paragraph and add a bibliography entry behind the text in the footnote, the number is not correct sort!
(Important: LO only sorts wrong if the footnotes are in the same!! paragraph. If every is in a different the sort works correct - see attachment)

Steps to reproduce:
1. Create a long paragraph
2. Insert several footnotes
3. Add bibliography entries behind the text in the footnotes
4. Insert an Bibliography
5. Check "Number entries" and sort by document position
6. Press F9 (Tools->Update->Update All)


Current behavior:
You see something like:
1 Footnote one [2]
2 Footnote two [1]
3 Footnote three [3]
4 Footnote four [5]
5 Footnote five [4]
...

Expected behavior:
Sort of the bibliography entries must be correct

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 5.1; rv:11.0) Gecko/20100101 Firefox/11.0
Comment 1 mini-matze 2012-03-20 06:33:31 UTC
Created attachment 58747 [details]
Sort example - 1)If all in one pg 2)cut and paste one footnote in an other pg
Comment 2 mini-matze 2012-03-20 06:34:29 UTC
Created attachment 58748 [details]
The LO document of the example
Comment 3 sasha.libreoffice 2012-06-14 00:37:12 UTC
Thanks for bugreport
with second attachment reproduced in 3.3.4 and 3.5.4 on Fedora 64 bit
Tools->Update->Update all   not fixes order of entries
In footnotes area order should be from [1] to [5]

Changing version to 3.3.4 as most early reproduced
Comment 4 QA Administrators 2015-01-05 17:52:27 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-01-29 09:16:04 UTC
Created attachment 112907 [details]
PDF export after update all using 4.5 alpha from Jan 25th 2015

Is this the wrong result after update all?

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36
Comment 6 mini-matze 2015-07-09 11:31:30 UTC
Yes - this is the wrong result after update all!

Please add an linebreak after each footnote, so every footnote has its own paragraph. Now update (F9) an the order of the Footnotes is:
1 Test4[1]
2 Test1[2]
3 Test2[3]
4 Test3[4]
5 Test5[5]

Now delete the linebreaks, so you have the initial document an press already F9 - now you see:
1 Test4[1]
2 Test1[4]
3 Test2[3]
4 Test3[2]
5 Test5[5]

Look only at the numbers in the brackets! They change!!! But the order of the footnotes was not changes. We have only add paragraphs between them!

Hope you can comfire this. I testet with LO 4.4.4.3 an the bug is already there.
Comment 7 QA Administrators 2017-09-01 11:20:34 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2019-12-03 14:01:08 UTC
Dear mini-matze,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug